/*
 * ===========================
 * VDK Visual Development Kit
 * odbc subsystem
 * Version 0.1
 * Revision 0.0
 * April 2000
 * ===========================
 *
 * Copyright (C) 1998, Mario Motta
 * Developed by Pierre-Louis Malatray <pierrelouis.malatray@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
/*!
  \mainpage VDKODBC version 1.0.0

  \section introduction What is VDKODBC
  VDKODBC is based on unixODBC library. It provides a set of database classes: 
  - VDKODBCConnection
  - VDKODBCQuery

  VDKODBC is based on ODBC 3.0 standard
  
  For detailed informations about Microsoft ODBC standard see :
	  http://msdn.microsoft.com/library/psdk/dasdk/odbc4vcn.htm
  
  \section manual User notes
  Since VDKODBCConnection and VDKODBCQuery are based on
  unixODBC driver, user should have some knowledge on
  using ODBC, refer to unixODBC documentation for further informations 
  and behaviours. More informations on unixODBC can be achieved visiting
  http://www.unixodbc.org

  \section  general General considerations
  As usual in VDK all vdkodbc objects should be constructed
  on the heap with new operator.
  
  \author
  \arg Pierre-Louis Malatray  pierrelouis.malatray@free.fr
  \par Note
  This manual is a living document and changes with the development of VDK.
  I hope that the hints and tips will be useful. More information can be 
  obtained from the examples source files in ./test_graphic. Comments and 
  suggestions are welcome.

  \par Copyright 1998-2003 Mario Motta and VDK Team
  Permission is granted to make and distribute verbatim copies of this manual
  provided that the copyright notice and this permission notice are preserved 
  in all copies. Permission is granted to copy and distribute modified 
  version, including translation in other languages, of this manual under 
  the conditions for verbatim copying, provided that the entire resulting 
  derived work is distributed under the terms of a permission notice 
  identical to this one. Any translated version of this permission notice 
  must have been approved by Mario Motta. 
 */
#ifndef _vdkodbc_support_h
#define _vdkodbc_support_h

#include <vdkodbc/vdkodbc.h> 
#include <vdkodbc/vdkodbcconnect.h>
#include <vdkodbc/vdkodbcquery.h>

#endif
