/*
 * ===========================
 * VDK Visual Development Kit
 * odbc subsystem
 * Version 0.1
 * Revision 0.0
 * January 2001
 * ===========================
 *
 * Copyright (C) 2001, Mario Motta
 * Developed by Pierre-Louis Malatray <pierrelouis.malatray@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
#ifndef _vdkodbcbase_h
#define _vdkodbcbase_h

#include <vdkodbc/vdkodbc.h>

/*!
\class VDKODBCBase
\brief Base class for all internal data base objects
*/

class VDKODBCBase : public VDKODBCObject
{
	protected:
		//! Object name
		VDKString Name;
		//! Object type name
		VDKString TypeName;
		//! Object remarks
		VDKString Remarks;
	public:
		/*!
		Constructor
		*/
		VDKODBCBase() {};
		/*!
		Destructor
		*/
		virtual ~VDKODBCBase() {};
		/*!
		Returns name string
		\warning May return isNull() string
		*/
		VDKString GetName() {
			return Name;
		};
		/*!
		Returns type name string
		\warning May return isNull() string
		*/
		VDKString GetTypeName() {
			return TypeName;
		};
		/*!
		Returns description string
		\warning May return isNull() string
		*/
		VDKString GetRemarks() {
			return Remarks;
		};
		/*!
		Set attribute value
		\param index Which attribute to set
		\param value New value
		Possible values for index :
		- VDKODBC_NAME		object name
		- VDKODBC_TYPENAME	object type name
		- VDKODBC_REMARKS	remarks
		For internal use only.
		*/
		virtual void SetStrValue(int index, const char *value);
};


#endif
