/*
*/

#ifndef _testvdkodbc_main_form_h_
#define _testvdkodbc_main_form_h_
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <vdk/vdk.h>
#include <vdkodbc/vdkodbc_support.h>

#define l_to_utf8(str) \
	(g_utf8_validate(str, -1, NULL) ? \
	 str : g_locale_to_utf8(str, -1, NULL, NULL, NULL))

#define utf8_to_l(str) \
	(g_locale_from_utf8(str, -1, NULL, NULL, NULL))

// Define to show tree view hidden columns 
#define HIDE_COLUMNS		1

#define COLOR_LIST_HEADER	"red"
#define COLOR_LIST		"black"
#define FONT_LIST		"helvetica 10"
#define FONT_RESULT_LIST	"terminal 12"
#define COLOR_TV		"blue"
#define FONT_TV			"helvetica bold 10"

#define NAME_COL		0
#define DBNAME_COL		1
#define OBJTYPE_COL		2
#define LOADED_COL		3
#define MAX_COLS		4

#define STRUE			"1"
#define SFALSE			"0"

#define ITEM_SOURCE		"source"
#define ITEM_SUPPORT		"support"
#define ITEM_TABLE		"table"

#define HLP_SOURCE		"Double click to connect"

#define POS_FIELD_NAME		0
#define POS_FIELD_TYPE		1
#define POS_FIELD_SIZE		2
#define POS_FIELD_DEC		3
#define POS_FIELD_NULL		4
#define MAX_FIELD_COLS		5

// VdkodbcSQL FORM CLASS
class VdkodbcSQL: public VDKForm
{
  // gui object declarations
  private:
	VDKODBCConnection*	Connection;
	VDKODBCQuery*		Query;
	void GUISetup(void);
	bool CanClose(void);
	void ExecuteQuery();
	void ShowData();
	void ShowRows(VDKTreeViewModel *model);
	void ShowResult(bool select = true);

  protected:
	VDKMenubar*	Menubar;
	VDKMenuItem*	File;
	VDKMenu*	Menu0;
	VDKMenuItem*	mnuQuit;
	VDKMenuItem*	mnuExecute;
	VDKPaned*	HPaned;
	VDKScrolled*	Scrolled;
	VDKTreeView*	SQLAns;
	VDKBox*		Vbox1;
	VDKBox*		Vbox2;
	VDKEditor*	SQLEditor;
	TokenList*	tokenlist;
	VDKStatusbar*	statusbar;

	bool OnmnuQuitActivate(VDKObject* sender);
	bool OnmnuExecuteActivate(VDKObject* sender);

 public:
	// some place holders for run-time constructed widgets
	// constructor
	VdkodbcSQL(VDKForm* owner, char* title,
			   VDKODBCConnection *connection);
	~VdkodbcSQL() {};
	virtual void Setup(void) {
			GUISetup();
		};
DECLARE_SIGNAL_MAP(VdkodbcSQL);
};


// VdkodbcLogin FORM CLASS
class VdkodbcLogin: public VDKForm
{
  // gui object declarations
  private:
	VDKString *FinalUName, *FinalPwd;
  protected:
	VDKEntry *UserName, *PassWord;
	VDKCustomButton *OK,*Cancel;
	bool OKClick(VDKObject*);
	bool CancelClick(VDKObject*);
	bool PassWordChange(VDKObject*);

  public:
	// some place holders for run-time constructed widgets
	// constructor
	VdkodbcLogin(VDKForm* owner, char* title, VDKString *user, VDKString *pwd);
	~VdkodbcLogin() {};
	virtual void Setup(void) {};
DECLARE_SIGNAL_MAP(VdkodbcLogin);
};

// Testvdkodbc FORM CLASS
class TestvdkodbcForm: public VDKForm
{
  // gui object declarations
  private:
	VDKString	user, passwd;
	bool ListEmpty;
	VdkodbcSQL	*SqlDesk;

	void GUISetup(void);
	bool CanClose(void);
	void MakeTreeView(VDKScrolled *scrolled);
	VDKODBCConnection *connect;
	bool GetODBCDataSources();
	void GetTables();
	void GetFields(VDKString);
	void FlushSourceNode(VDKString);
	void ManageConnection(VDKTreeViewModel*, VDKString, GtkTreeIter*);
	void AddField(VDKString, VDKTreeViewModel*, GtkTreeIter*, unsigned int);
	bool GetLogin(VDKString, VDKString*, VDKString*);
	void FlushList();
	
  protected:
	VDKMenubar*	Menubar;
	VDKMenuItem*	File;
	VDKMenu*	Menu0;
	VDKMenuItem*	mnuQuit;
	VDKMenuItem*	mnuQuery;
	VDKMenu*	Menu1;
	VDKMenuItem*	mnuSQL;
	VDKPaned*	HPaned;
	VDKBox*		Vbox1;
	VDKTreeView*	tvDatabases;
	VDKBox*		Vbox2;
	VDKTreeView*	clist;
	VDKStatusbar*	statusbar;
	VDKScrolled*	Scrolled;
	
	bool OnmnuQuitActivate(VDKObject* sender);
	bool OnmnuSQLActivate(VDKObject* sender);
   	bool OntvDatabasesRealize(VDKObject* sender);
	bool OntvDatabasesRowSelected(VDKObject* sender);
	bool OntvDatabasesRowActivated(VDKObject* sender);
	bool OntvDatabasesColumnClicked(VDKObject* sender);

  public:
	// some place holders for run-time constructed widgets
	// constructor
	TestvdkodbcForm(VDKApplication* app, char* title);
	~TestvdkodbcForm();
	void Setup(void);
	// declaring signal and events dynamics tables
	DECLARE_SIGNAL_MAP(TestvdkodbcForm);
	DECLARE_SIGNAL_LIST(TestvdkodbcForm);
	DECLARE_EVENT_LIST(TestvdkodbcForm);
	// declares two static used to initialize
	// form display type and initial position
	static GtkWindowType TestvdkodbcForm::DisplayType;
	static GtkWindowPosition TestvdkodbcForm::InitialPosition;
};

// Testvdkodbc APPLICATION CLASS
class TestvdkodbcApp: public VDKApplication
{
  public:
	TestvdkodbcApp(int* argc, char** argv);
	~TestvdkodbcApp();
	void Setup(void);
};

#endif
