#*****************************************************
# File written to build vdk programs with vdkodbc support
# under Dev-C++ ide.
# originally written by Mario Motta <mmotta@guest.net>
# modified by Pierre-Louis Malatray <pierrelouis.malatray@free.fr>
# for vdkodbc
# ****************************************************
# This file is built for Dev-C++ 4.9.9.2 or higher
# file vdkodbcmake.mak must be included into Makefile.win using
# Project->Options->Makefile
#   
# Others compiler/linker options must be set:
# 1. Project->Options->Parameters "C Compiler"
#       $(VDK_INCLUDE) $(VDKODBC_INCLUDE) -mms-bitfields
# 2. Project->Options->Parameters "C++ Compiler"
#       $(VDK_INCLUDE) $(VDKODBC_INCLUDE) -mms-bitfields
# 3. Project->Options->Parameters "Linker"
#       $(VDKODBC_LIBS) $(VDK_LIBS) $(GTK_LIBS)
# 4. Project->Options->Files and Folders "Libraries"
#       $(GTK_RUNTIME_ENV)
# 5. Project->Options->Files and Folders "Includes"
#       $(VDKODBC)
#-----------------------------------------------------
# change paths here accordlying where you
# put gtk-win32 devel environment
# vdk sources

VDK_ROOT=H:\mesdev\windows\VDKBuilderProject\winvdk
VDKODBC_ROOT=H:\mesdev\windows\VDKBuilderProject\vdkodbc
GTK_ROOT=C:\gnu_libs\bin
GTK_RUNTIME_ENV=C:\gnu_libs\lib

# ---------------------------------------
# no others changes should be necessary
# left part below unchanged
#----------------------------------------
# include paths
GTK="$(GTK_ROOT)/include/gtk-2.0"
GLIB="$(GTK_ROOT)/include/glib-2.0"
PANGO="$(GTK_ROOT)/include/pango-1.0"
ATK="$(GTK_ROOT)/include/atk-1.0"
GTK_CONFIG="$(GTK_ROOT)/lib/gtk-2.0/include"
GLIB_CONFIG="$(GTK_ROOT)/lib/glib-2.0/include"
VDK="$(VDK_ROOT)/include"
VDK1="$(VDK_ROOT)/include/vdk"
VDKODBC="$(VDKODBC_ROOT)/include"

VDK_INCLUDE=-I$(GTK) -I$(GLIB) -I$(PANGO) -I$(ATK)\
-I$(GTK_CONFIG) -I$(GLIB_CONFIG) -I$(VDK) -I$(VDK1)

VDKODBC_INCLUDE=-I$(VDKODBC)

# gtk libs
GTK_LIBS = "$(GTK_RUNTIME_ENV)/atk-1.0.lib"\
    "$(GTK_RUNTIME_ENV)/pangowin32-1.0.lib"\
    "$(GTK_RUNTIME_ENV)/libgdk_pixbuf-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libgdk-win32-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libglib-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libgmodule-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libgobject-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libgthread-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libgtk-win32-2.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/iconv.lib"\
    "$(GTK_RUNTIME_ENV)/intl.lib"\
    "$(GTK_RUNTIME_ENV)/libpango-1.0.dll.a"\
    "$(GTK_RUNTIME_ENV)/libpangoft2-1.0.dll.a"\
    "C:\Dev-Cpp\lib\libodbc32.a"

# vdk lib path
VDK_LIBS="$(VDK_ROOT)/lib/libvdk.a"
VDKODBC_LIBS="$(VDKODBC_ROOT)/lib/libvdkodbc.a"
